#!-- coding:utf-8 --
#!/usr/bin/env python

import sys
import os
import struct
import re

# .qtx format
# / s/̓Rgs
# / Psڂ̓W
# 
# / RgsQsڂ͉ȂB
# 
# / Rsڂ炪
# / s
# / IP
# / IQ
# / IR
# / IS
# / IT
# / Ȃs ܂łŖPBȉJԂBŏȊIT͉sEOF̍sɋsŒuĂƁB

# print '<5TAKU>.QT1`<5TAKU>.QT8 t@C qtx25tq.exe ƓtH_ɒu'
# print '<5TAKU>͂̕ĂB'
# rfile = raw_input()

name = sys.argv[1]

rfile = name[:]

f_qt = open(rfile, 'r')

f_cwx2 = open(rfile[:-4] + '.cwx', 'w+')

def padding_space(text, counts):
    return text.ljust(counts)

question_count = 0
quiz_datas = ''

# .qtx file

all_line = f_qt.read()
lines = all_line.split('\n')

line_no = 0
question_state = 0

question_texts = []   
selection1_text = []
selection2_text = []
selection3_text = []
selection4_text = []
selection5_text = []

if not lines:
    # header doesn't exist
    print 'Error: Header : ' + str(qtx_index) + ' not exists.'
    sys.exit()

for line in lines:
    # comment
    if line.startswith('/'):
        continue

    line_no += 1
    # genre name and empty line
    if line_no == 1 or line_no == 2:
        continue

    # questions
    question_state += 1
    if question_state == 1:
        question_texts.append(line)
        continue
    elif question_state == 2:
        selection1_text.append(line)
        continue
    elif question_state == 3:
        selection2_text.append(line)
        continue
    elif question_state == 4:
        selection3_text.append(line)
        continue
    elif question_state == 5:
        selection4_text.append(line)
        continue
    elif question_state == 6:
        selection5_text.append(line)
        continue
    elif question_state == 7:
        question_count += 1
        question_state = 0

quiz_datas = 'start \"\"\n\tbrrandomm\n'

for var in range(0, question_count + 1):
    if var == 0:
        quiz_datas += '\tif\n'
    elif var == question_count:
        quiz_datas += '\tfi\n'
        continue
    else:
        quiz_datas += '\telif\n'

    quiz_datas += '\t\tmsg none, \"' + question_texts[var] + '\", \"^CI[o[\", 1, true, false, false, true, 60, false\n'
    quiz_datas += '\t\tif \"' + selection1_text[var] +'\"\n'
    quiz_datas += '\t\t\tgostart \"\"\n'
    quiz_datas += '\t\telif \"' + selection2_text[var] +'\"\n'
    quiz_datas += '\t\t\tgostart \"듚\"\n'
    quiz_datas += '\t\telif \"' + selection3_text[var] +'\"\n'
    quiz_datas += '\t\t\tgostart \"듚\"\n'
    quiz_datas += '\t\telif \"' + selection4_text[var] +'\"\n'
    quiz_datas += '\t\t\tgostart \"듚\"\n'
    quiz_datas += '\t\telif \"' + selection5_text[var] +'\"\n'
    quiz_datas += '\t\t\tgostart \"듚\"\n'
    quiz_datas += '\t\tfi\n'

quiz_datas += '\n'

quiz_datas += 'start \"\"\n'
quiz_datas += '\tmsg none, \"I\", "", 1, true, false, false, false, 0, false\n'
quiz_datas += '\tgostart \"\"\n\n'

quiz_datas += 'start \"듚\"\n'
quiz_datas += '\tmsg none, \"ԈႢ(TT\", "", 1, true, false, false, false, 0, false\n'
quiz_datas += '\tgostart \"\"\n\n'

quiz_datas += 'start \"^CI[o[\"\n'
quiz_datas += '\tmsg none, \"^CI[o[(TT\", "", 1, true, false, false, false, 0, false\n'
quiz_datas += '\tgostart \"\"\n\n'

f_cwx2.write(quiz_datas)

# close file

f_cwx2.close()

f_qt.close()

